"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEditDirPath = getEditDirPath;
const path_1 = __importDefault(require("path"));
function getEditDirPath(param, patchedDep, opts) {
    const editDirName = getEditDirNameFromParsedDep(patchedDep) ?? param;
    return path_1.default.join(opts.modulesDir, '.pnpm_patches', editDirName);
}
function getEditDirNameFromParsedDep(patchedDep) {
    if (patchedDep.alias && patchedDep.pref) {
        const pref = patchedDep.pref.replace(/[\\/:*?"<>|]+/g, '+');
        return `${patchedDep.alias}@${pref}`;
    }
    if (patchedDep.alias) {
        return patchedDep.alias;
    }
    return undefined;
}
//# sourceMappingURL=getEditDirPath.js.map